Modify

Opened 4 years ago

Closed 4 years ago

Last modified 22 months ago

#10830 closed defect (worksforme)

AR71xx Hornet-ub kernel missing

Reported by: JohnRoberts Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: Hornet-UB Cc:

Description

When compiling for the AR71XX, there is no kernel file in the bin folder.

Generated Files:
openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin
openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-factory.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-sysupgrade.bin

Missing:
openwrt-ar71xx-generic-hornet-ub-kernel.bin

This is generated a few revisions back though.

Attachments (1)

hornet-bug-file (113.2 KB) - added by drkhosla@… 4 years ago.
Log of Installing openwrt using tftboot and mtd

Download all attachments as: .zip

Change History (12)

comment:1 in reply to: ↑ description ; follow-up: Changed 4 years ago by juhosg

  • Resolution set to wontfix
  • Status changed from new to closed

Replying to JohnRoberts:

When compiling for the AR71XX, there is no kernel file in the bin folder.

Generated Files:
openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin
openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-factory.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-sysupgrade.bin

Missing:
openwrt-ar71xx-generic-hornet-ub-kernel.bin

This is generated a few revisions back though.

The kernel file is not provided anymore because we are providing a *-factory.bin image since r29637. That image is flashable from the factory web interface. Then the *-sysupgrade.bin can be used to upgrade the existing OpenWrt installation.

comment:2 in reply to: ↑ 1 Changed 4 years ago by drkhosla@…

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Replying to juhosg:

Replying to JohnRoberts:

When compiling for the AR71XX, there is no kernel file in the bin folder.

Generated Files:
openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin
openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-factory.bin
openwrt-ar71xx-generic-hornet-ub-squashfs-sysupgrade.bin

Missing:
openwrt-ar71xx-generic-hornet-ub-kernel.bin

This is generated a few revisions back though.

The kernel file is not provided anymore because we are providing a *-factory.bin image since r29637. That image is flashable from the factory web interface. Then the *-sysupgrade.bin can be used to upgrade the existing OpenWrt installation.

When try to upgrade *factory* file using web interface. It doesn't accept as an upgrade file.

I set Make file of hornet to r29636 version and after compiling I get openwrt-ar71xx-generic-hornet-ub-kernel.bin and openwrt-ar71xx-generic-hornet-ub-rootfs-jffs2.bin. I installed these two file according to

http://alfanetworkinc.blogspot.in/2011/11/hornet-ub-for-openwrt.html

It work fine.

Then I try to flash file openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin generated using trunk. Using command

mtd -r write openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin firmware

I get following error

[    3.430000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00000000: 0x1f8b instead
[    3.440000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00000004: 0x3bc2 instead
[    3.450000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00000008: 0x0003 instead
[    3.450000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x0000000c: 0x43ac instead
[    3.460000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00000010: 0xb3dd instead
...

I use same file to install using uboot tftpboot. It doesn't work.

It seems openwrt-ar71xx-generic-hornet-ub-jffs2-factory.bin doesn't partitioned properly.

Boot Message show mtdpartion

[    0.670000] m25p80 spi0.0: found mx25l6405d, expected m25p80
[    0.670000] m25p80 spi0.0: mx25l6405d (8192 Kbytes)
[    0.680000] 7 cmdlinepart partitions found on MTD device spi0.0
[    0.680000] Creating 7 MTD partitions on "spi0.0":
[    0.690000] 0x000000000000-0x000000040000 : "u-boot"
[    0.690000] 0x000000040000-0x000000050000 : "u-boot-env"
[    0.700000] 0x000000050000-0x000000650000 : "rootfs"
[    0.710000] mtd: partition "rootfs" set to be root filesystem
[    0.710000] split_squashfs: no squashfs found in "spi0.0"
[    0.720000] 0x000000650000-0x0000007e0000 : "kernel"
[    0.720000] 0x0000007e0000-0x0000007f0000 : "nvram"
[    0.730000] 0x0000007f0000-0x000000800000 : "art"
[    0.730000] 0x000000050000-0x0000007e0000 : "firmware"

comment:3 follow-up: Changed 4 years ago by jow

  • Resolution set to wontfix
  • Status changed from reopened to closed

Use squashfs images.

comment:4 in reply to: ↑ 3 Changed 4 years ago by anonymous

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Replying to jow:

Use squashfs images.

I repeat the same procedure with suqashfs the error is same and in the end I get

[   12.700000] JFFS2 notice: (1) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
[   12.710000] VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
[   12.720000] Freeing unused kernel memory: 200k freed
[   12.720000] Kernel panic - not syncing: No init found.  Try passing init= option to kernel. See Linux Documentation/init.txt for guidance.

Generally in mtd partition rootfs is after kernel partition. In Hornet-UB rootfs partition is prior to kernel. I try to search openwrt source file to find where is mtd partition is define for Hornet-UB but could not find it.

comment:5 follow-up: Changed 4 years ago by jow

"VFS: Mounted root (jffs2 filesystem)" does not look like a squashfs image.

comment:6 in reply to: ↑ 5 Changed 4 years ago by anonymous

Replying to jow:

"VFS: Mounted root (jffs2 filesystem)" does not look like a squashfs image.

It also surprise me but I think it just stuck at converting some part into jffs2 system.

First I installed kernel.bin at 0x9f65000 and rootfs-squash.bin at 0x9f050000. It run openwrt without any problem.

I see some partition converting into jffs (may be /etc folder)

- regular preinit -
jffs2 not ready yet; using ramdisk
- init -
[   10.470000] eth0: link down
[   10.820000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   10.830000] jffs2_build_filesystem(): unlocking the mtd device... done.
[   10.830000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[   26.560000] JFFS2 notice: (458) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
copying files ... done

Then I installed squashfs firmware file openwrt-ar71xx-generic-hornet-ub-squashfs-factory.bin using command

mtd -r write openwrt-ar71xx-generic-hornet-ub-squashfs-factory.bin firmware

I don't see any erase or conversion to jffs2.

This boot log may help you

[   11.770000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00420024: 0xfc44 instead
[   11.780000] Further such events for this erase block will not be printed
[   11.800000] Old JFFS2 bitmask found at 0x00425c5c
[   11.800000] You cannot use older JFFS2 filesystems with newer kernels
[   11.820000] Old JFFS2 bitmask found at 0x0042b234
[   11.820000] You cannot use older JFFS2 filesystems with newer kernels
[   11.840000] jffs2_scan_eraseblock(): Magic bitmask 0x1985 not found at 0x00430000: 0x47ca instead

It ends with same kernel panic error.

Changed 4 years ago by drkhosla@…

Log of Installing openwrt using tftboot and mtd

comment:7 Changed 4 years ago by drkhosla@…

This error is very much similar to ticket #10885.

comment:8 Changed 4 years ago by juhosg

  • Resolution set to worksforme
  • Status changed from reopened to closed

If the original web interface does not accept the *-factory.bin file then they have changed someting. It was working with the original firmware which was installed on my board.

  1. OpenWrt can be flashed from u-boot. Tried with the jffs2 image from snaphots:
U-Boot 1.1.4 (Sep 29 2011 - 16:39:41)

AP121-8MB (ar9331) U-boot
DRAM:  32 MB
Top of RAM usable for U-Boot at: 82000000
Reserving 248k for U-Boot at: 81fc0000
Reserving 192k for malloc() at: 81f90000
Reserving 44 Bytes for Board Info at: 81f8ffd4
Reserving 36 Bytes for Global Data at: 81f8ffb0
Reserving 128k for boot params() at: 81f6ffb0
Stack Pointer at: 81f6ff98
Now running in RAM - U-Boot at: 81fc0000
id read 0x100000ff
flash size 8388608, sector count = 128
Flash:  8 MB
In:    serial
Out:   serial
Err:   serial
Net:   ag7240_enet_initialize...
Fetching MAC Address from 0x81feb688
Fetching MAC Address from 0x81feb688
: cfg1 0x5 cfg2 0x7114
eth0: 00:c0:ca:5f:6b:3d
eth0 up
: cfg1 0xf cfg2 0x7214
eth1: 00:c0:ca:5f:6b:3e
athrs26_reg_init_lan
ATHRS26: resetting s26
ATHRS26: s26 reset done
eth1 up
eth0, eth1

Please choose the operation:
   1: Entr boot command line interface.
   2: Load system code then write to Flash via TFTP.
   3: Boot system code via Flash (default).

You choosed 1

 0

ar7240> setenv serverip 192.168.1.254; setenv ipaddr 192.168.1.1
ar7240> tftp 0xa0800000 openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin
eth0 link down
FAIL
dup 1 speed 1000
Using eth1 device
TFTP from server 192.168.1.254; our IP address is 192.168.1.1
Filename 'openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin'.
Load address: 0xa0800000
Loading: #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #################################################################
         #
done
Bytes transferred = 7322966 (6fbd56 hex)
ar7240> erase 0x9f050000 +0x790000
Erase Flash from 0x9f050000 to 0x9f7dffff in Bank # 1
First 0x5 last 0x7d sector size 0x10000
 125
Erased 121 sectors
ar7240> cp.b 0xa0800000 0x9f050000 0x790000
Copy to Flash... write addr: 9f050000
done
ar7240>
  1. The board boots fine with that:
    ar7240> reset
    
    U-Boot 1.1.4 (Sep 29 2011 - 16:39:41)
    
    AP121-8MB (ar9331) U-boot
    DRAM:  32 MB
    Top of RAM usable for U-Boot at: 82000000
    Reserving 248k for U-Boot at: 81fc0000
    Reserving 192k for malloc() at: 81f90000
    Reserving 44 Bytes for Board Info at: 81f8ffd4
    Reserving 36 Bytes for Global Data at: 81f8ffb0
    Reserving 128k for boot params() at: 81f6ffb0
    Stack Pointer at: 81f6ff98
    Now running in RAM - U-Boot at: 81fc0000
    id read 0x100000ff
    flash size 8388608, sector count = 128
    Flash:  8 MB
    In:    serial
    Out:   serial
    Err:   serial
    Net:   ag7240_enet_initialize...
    Fetching MAC Address from 0x81feb688
    Fetching MAC Address from 0x81feb688
    : cfg1 0x5 cfg2 0x7114
    eth0: 00:c0:ca:5f:6b:3d
    eth0 up
    : cfg1 0xf cfg2 0x7214
    eth1: 00:c0:ca:5f:6b:3e
    athrs26_reg_init_lan
    ATHRS26: resetting s26
    ATHRS26: s26 reset done
    eth1 up
    eth0, eth1
    
    Please choose the operation:
       1: Entr boot command line interface.
       2: Load system code then write to Flash via TFTP.
       3: Boot system code via Flash (default).
     0
    
    
     System Boot system code via Flash.
    ## Booting image at 9f650000 ...
       Image Name:   MIPS OpenWrt Linux-3.3.8
       Created:      2012-07-11   8:29:19 UTC
       Image Type:   MIPS Linux Kernel Image (lzma compressed)
       Data Size:    1031446 Bytes = 1007.3 kB
       Load Address: 80060000
       Entry Point:  80060000
       Verifying Checksum at 0x9f650040 ...OK
       Uncompressing Kernel Image ... OK
    No initrd
    ## Transferring control to Linux (at address 80060000) ...
    ## Giving linux memsize in bytes, 33554432
    
    Starting kernel ...
    
    [    0.000000] Linux version 3.3.8 (fnord@tschunk) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Wed Jul 11 08:28:3
    3 UTC 2012
    [    0.000000] bootconsole [early0] enabled
    [    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
    [    0.000000] SoC: Atheros AR9330 rev 1
    [    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
    [    0.000000] Determined physical RAM map:
    [    0.000000]  memory: 02000000 @ 00000000 (usable)
    [    0.000000] Initrd not found or empty - disabling initrd
    [    0.000000] Zone PFN ranges:
    [    0.000000]   Normal   0x00000000 -> 0x00002000
    [    0.000000] Movable zone start PFN for each node
    [    0.000000] Early memory PFN ranges
    [    0.000000]     0: 0x00000000 -> 0x00002000
    [    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
    [    0.000000] Kernel command line:  board=HORNET-UB console=ttyATH0,115200 mtdparts=spi0.0:256k(u-boot)ro,64k(u-boot-env)ro,6144k(rootfs),1
    600k(kernel),64k(nvram),64k(art)ro,7744k@0x50000(firmware) rootfstype=squashfs,jffs2 noinitrd
    [    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
    [    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
    [    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
    [    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
    [    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
    [    0.000000] Writing ErrCtl register=00000000
    [    0.000000] Readback ErrCtl register=00000000
    [    0.000000] Memory: 28980k/32768k available (2208k kernel code, 3788k reserved, 578k data, 204k init, 0k highmem)
    [    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
    [    0.000000] NR_IRQS:51
    [    0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
    [    0.080000] pid_max: default: 32768 minimum: 301
    [    0.080000] Mount-cache hash table entries: 512
    [    0.090000] NET: Registered protocol family 16
    [    0.090000] gpiochip_add: registered GPIOs 0 to 29 on device: ath79
    [    0.100000] MIPS: machine is ALFA NETWORKS Hornet-UB
    [    0.540000] bio: create slab <bio-0> at 0
    [    0.550000] Switching to clocksource MIPS
    [    0.550000] NET: Registered protocol family 2
    [    0.560000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
    [    0.560000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
    [    0.560000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
    [    0.570000] TCP: Hash tables configured (established 1024 bind 1024)
    [    0.580000] TCP reno registered
    [    0.580000] UDP hash table entries: 256 (order: 0, 4096 bytes)
    [    0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
    [    0.590000] NET: Registered protocol family 1
    [    0.610000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
    [    0.620000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
    [    0.630000] msgmni has been set to 56
    [    0.630000] io scheduler noop registered
    [    0.640000] io scheduler deadline registered (default)
    [    0.640000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
    [    0.650000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
    [    0.660000] console [ttyATH0] enabled, bootconsole disabled
    [    0.660000] console [ttyATH0] enabled, bootconsole disabled
    [    0.670000] m25p80 spi0.0: found mx25l6405d, expected m25p80
    [    0.680000] m25p80 spi0.0: mx25l6405d (8192 Kbytes)
    [    0.680000] 7 cmdlinepart partitions found on MTD device spi0.0
    [    0.690000] Creating 7 MTD partitions on "spi0.0":
    [    0.690000] 0x000000000000-0x000000040000 : "u-boot"
    [    0.700000] 0x000000040000-0x000000050000 : "u-boot-env"
    [    0.700000] 0x000000050000-0x000000650000 : "rootfs"
    [    0.710000] mtd: partition "rootfs" set to be root filesystem
    [    0.710000] split_squashfs: no squashfs found in "spi0.0"
    [    0.720000] 0x000000650000-0x0000007e0000 : "kernel"
    [    0.730000] 0x0000007e0000-0x0000007f0000 : "nvram"
    [    0.730000] 0x0000007f0000-0x000000800000 : "art"
    [    0.740000] 0x000000050000-0x0000007e0000 : "firmware"
    [    0.760000] ag71xx_mdio: probed
    [    0.760000] eth0: Atheros AG71xx at 0xba000000, irq 5
    [    1.320000] eth0: Found an AR7240/AR9330 built-in switch
    [    2.350000] eth1: Atheros AG71xx at 0xb9000000, irq 4
    [    2.900000] ag71xx ag71xx.0: eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
    [    2.910000] TCP cubic registered
    [    2.910000] NET: Registered protocol family 17
    [    2.910000] Bridge firewalling registered
    [    2.920000] 8021q: 802.1Q VLAN Support v1.8
    [    3.720000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x230000
    [    3.730000] jffs2_build_filesystem(): unlocking the mtd device... done.
    [    3.730000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
    [   21.720000] JFFS2 notice: (1) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 o
    f xref (0 dead, 0 orphan) found.
    [   21.730000] VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
    [   21.740000] Freeing unused kernel memory: 204k freed
    - preinit -
    Press the [f] key and hit [enter] to enter failsafe mode
    [   25.450000] eth0: link up (1000Mbps/Full duplex)
    - regular preinit -
    - init -
    [   28.130000] eth0: link down
    [   28.520000] Compat-wireless backport release: compat-wireless-2012-07-03-2-3-g7adf66e
    [   28.520000] Backport based on wireless-testing.git master-2012-07-06
    [   28.530000] compat.git: wireless-testing.git
    [   28.680000] cfg80211: Calling CRDA to update world regulatory domain
    [   28.680000] cfg80211: World regulatory domain updated:
    [   28.690000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
    [   28.700000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
    [   28.700000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
    [   28.710000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
    [   28.720000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
    [   28.730000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
    [   28.920000] usbcore: registered new interface driver usbfs
    [   28.930000] usbcore: registered new interface driver hub
    [   28.940000] usbcore: registered new device driver usb
    [   29.550000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
    [   29.560000] cfg80211: Calling CRDA for country: GB
    [   29.570000] cfg80211: Regulatory domain changed to country: GB
    [   29.570000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
    [   29.580000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
    [   29.590000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
    [   29.590000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
    [   29.600000] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
    [   29.680000] PPP generic driver version 2.4.2
    [   29.760000] ip_tables: (C) 2000-2006 Netfilter Core Team
    [   29.900000] NET: Registered protocol family 24
    [   29.950000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
    [   29.950000] ehci-platform ehci-platform: Generic Platform EHCI Controller
    [   29.960000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
    [   29.990000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
    [   30.010000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
    [   30.010000] hub 1-0:1.0: USB hub found
    [   30.010000] hub 1-0:1.0: 1 port detected
    [   30.070000] nf_conntrack version 0.5.0 (456 buckets, 1824 max)
    [   30.370000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
    
    Please press Enter to activate this console. [   34.260000] device eth0 entered promiscuous mode
    [   34.860000] eth0: link up (1000Mbps/Full duplex)
    [   34.860000] br-lan: port 1(eth0) entered forwarding state
    [   34.860000] br-lan: port 1(eth0) entered forwarding state
    [   36.860000] br-lan: port 1(eth0) entered forwarding state
    
    
    
    BusyBox v1.19.4 (2012-07-10 22:12:33 UTC) built-in shell (ash)
    Enter 'help' for a list of built-in commands.
    
      _______                     ________        __
     |       |.-----.-----.-----.|  |  |  |.----.|  |_
     |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
     |_______||   __|_____|__|__||________||__|  |____|
              |__| W I R E L E S S   F R E E D O M
     -----------------------------------------------------
     ATTITUDE ADJUSTMENT (Bleeding Edge, r32656)
     -----------------------------------------------------
      * 1/4 oz Vodka      Pour all ingredients into mixing
      * 1/4 oz Gin        tin with ice, strain into glass.
      * 1/4 oz Amaretto
      * 1/4 oz Triple sec
      * 1/4 oz Peach schnapps
      * 1/4 oz Sour mix
      * 1 splash Cranberry juice
     -----------------------------------------------------
    root@OpenWrt:/#
    
  1. If you want to upgrade the existing OpenWrt firmware forget the 'mtd' utility, use the sysupgrade command instead:
root@OpenWrt:/# wget ftp://192.168.1.254:2121/openwrt/openwrt-ar71xx-generic-hornet-ub-jffs2-sysupgrade.bin -O /tmp/fw
Connecting to 192.168.1.254:2121 (192.168.1.254:2121)
fw                   100% |*******************************|  7151k  0:00:00 ETA
root@OpenWrt:/# md5sum /tmp/fw
38566ae33adefb4e39dd563a2cc4e777  /tmp/fw
root@OpenWrt:/# sysupgrade /tmp/fw
Saving config files...
Sending TERM to remaining processes ... dnsmasq ntpd syslogd klogd hotplug2 ubusd netifd
Sending KILL to remaining processes ...
Switching to ramdisk...
Performing system upgrade...
Unlocking firmware ...

Writing from <stdin> to firmware ...
Appending jffs2 data from /tmp/sysupgrade.tgz to firmware...TRX header not found
Error fixing up TRX header

Writing from <stdin> to firmware ...
Upgrade completed
Rebooting system...
[  275.630000] Removing MTD device #2 (rootfs) with use count 1
[  275.630000] Res4

U-Boot 1.1.4 (Sep 29 2011 - 16:39:41)

AP121-8MB (ar9331) U-boot
DRAM:  32 MB
Top of RAM usable for U-Boot at: 82000000
Reserving 248k for U-Boot at: 81fc0000
Reserving 192k for malloc() at: 81f90000
Reserving 44 Bytes for Board Info at: 81f8ffd4
Reserving 36 Bytes for Global Data at: 81f8ffb0
Reserving 128k for boot params() at: 81f6ffb0
Stack Pointer at: 81f6ff98
Now running in RAM - U-Boot at: 81fc0000
id read 0x100000ff
flash size 8388608, sector count = 128
Flash:  8 MB
In:    serial
Out:   serial
Err:   serial
Net:   ag7240_enet_initialize...
Fetching MAC Address from 0x81feb688
Fetching MAC Address from 0x81feb688
: cfg1 0x5 cfg2 0x7114
eth0: 00:c0:ca:5f:6b:3d
eth0 up
: cfg1 0xf cfg2 0x7214
eth1: 00:c0:ca:5f:6b:3e
athrs26_reg_init_lan
ATHRS26: resetting s26
ATHRS26: s26 reset done
eth1 up
eth0, eth1

Please choose the operation:
   1: Entr boot command line interface.
   2: Load system code then write to Flash via TFTP.
   3: Boot system code via Flash (default).
 0


 System Boot system code via Flash.
## Booting image at 9f650000 ...
   Image Name:   MIPS OpenWrt Linux-3.3.8
   Created:      2012-07-11   8:29:19 UTC
   Image Type:   MIPS Linux Kernel Image (lzma compressed)
   Data Size:    1031446 Bytes = 1007.3 kB
   Load Address: 80060000
   Entry Point:  80060000
   Verifying Checksum at 0x9f650040 ...OK
   Uncompressing Kernel Image ... OK
No initrd
## Transferring control to Linux (at address 80060000) ...
## Giving linux memsize in bytes, 33554432

Starting kernel ...

[    0.000000] Linux version 3.3.8 (fnord@tschunk) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Wed Jul 11 08:28:3
3 UTC 2012
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9330 rev 1
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=HORNET-UB console=ttyATH0,115200 mtdparts=spi0.0:256k(u-boot)ro,64k(u-boot-env)ro,6144k(rootfs),1
600k(kernel),64k(nvram),64k(art)ro,7744k@0x50000(firmware) rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28980k/32768k available (2208k kernel code, 3788k reserved, 578k data, 204k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] gpiochip_add: registered GPIOs 0 to 29 on device: ath79
[    0.100000] MIPS: machine is ALFA NETWORKS Hornet-UB
[    0.540000] bio: create slab <bio-0> at 0
[    0.550000] Switching to clocksource MIPS
[    0.550000] NET: Registered protocol family 2
[    0.560000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.560000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.560000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.570000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.580000] TCP reno registered
[    0.580000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.590000] NET: Registered protocol family 1
[    0.610000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.620000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.630000] msgmni has been set to 56
[    0.630000] io scheduler noop registered
[    0.640000] io scheduler deadline registered (default)
[    0.640000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.650000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
[    0.660000] console [ttyATH0] enabled, bootconsole disabled
[    0.660000] console [ttyATH0] enabled, bootconsole disabled
[    0.670000] m25p80 spi0.0: found mx25l6405d, expected m25p80
[    0.680000] m25p80 spi0.0: mx25l6405d (8192 Kbytes)
[    0.680000] 7 cmdlinepart partitions found on MTD device spi0.0
[    0.690000] Creating 7 MTD partitions on "spi0.0":
[    0.690000] 0x000000000000-0x000000040000 : "u-boot"
[    0.700000] 0x000000040000-0x000000050000 : "u-boot-env"
[    0.700000] 0x000000050000-0x000000650000 : "rootfs"
[    0.710000] mtd: partition "rootfs" set to be root filesystem
[    0.710000] split_squashfs: no squashfs found in "spi0.0"
[    0.720000] 0x000000650000-0x0000007e0000 : "kernel"
[    0.730000] 0x0000007e0000-0x0000007f0000 : "nvram"
[    0.730000] 0x0000007f0000-0x000000800000 : "art"
[    0.740000] 0x000000050000-0x0000007e0000 : "firmware"
[    0.760000] ag71xx_mdio: probed
[    0.760000] eth0: Atheros AG71xx at 0xba000000, irq 5
[    1.320000] eth0: Found an AR7240/AR9330 built-in switch
[    2.350000] eth1: Atheros AG71xx at 0xb9000000, irq 4
[    2.900000] ag71xx ag71xx.0: eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[    2.910000] TCP cubic registered
[    2.910000] NET: Registered protocol family 17
[    2.910000] Bridge firewalling registered
[    2.920000] 8021q: 802.1Q VLAN Support v1.8
[    3.750000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x240000
[    3.750000] jffs2_build_filesystem(): unlocking the mtd device... done.
[    3.760000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[   21.470000] JFFS2 notice: (1) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 o
f xref (0 dead, 0 orphan) found.
[   21.480000] VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
[   21.490000] Freeing unused kernel memory: 204k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
[   25.190000] eth0: link up (1000Mbps/Full duplex)
- regular preinit -
- config restore -
- init -
[   28.140000] eth0: link down

Please press Enter to activate this console. [   28.540000] Compat-wireless backport release: compat-wireless-2012-07-03-2-3-g7adf66e
[   28.550000] Backport based on wireless-testing.git master-2012-07-06
[   28.560000] compat.git: wireless-testing.git
[   28.700000] cfg80211: Calling CRDA to update world regulatory domain
[   28.710000] cfg80211: World regulatory domain updated:
[   28.710000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   28.720000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   28.730000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   28.740000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   28.740000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   28.750000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   28.950000] usbcore: registered new interface driver usbfs
[   28.960000] usbcore: registered new interface driver hub
[   28.960000] usbcore: registered new device driver usb
[   29.580000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[   29.590000] cfg80211: Calling CRDA for country: GB
[   29.590000] cfg80211: Regulatory domain changed to country: GB
[   29.600000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   29.610000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   29.610000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   29.620000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   29.630000] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[   29.710000] PPP generic driver version 2.4.2
[   29.790000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   29.930000] NET: Registered protocol family 24
[   29.980000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   29.980000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   29.990000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   30.030000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   30.050000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   30.050000] hub 1-0:1.0: USB hub found
[   30.050000] hub 1-0:1.0: 1 port detected
[   30.110000] nf_conntrack version 0.5.0 (456 buckets, 1824 max)
[   30.420000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   34.030000] device eth0 entered promiscuous mode
[   34.630000] eth0: link up (1000Mbps/Full duplex)
[   34.630000] br-lan: port 1(eth0) entered forwarding state
[   34.630000] br-lan: port 1(eth0) entered forwarding state
[   36.630000] br-lan: port 1(eth0) entered forwarding state



BusyBox v1.19.4 (2012-07-10 22:12:33 UTC) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32656)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/#
  1. I have also tried the squashfs image. That is working as well.

comment:9 follow-up: Changed 4 years ago by drkhosla@…

Thank you very much juhosg.

Now it works for me with *sysupgrade*. It should be included in wiki for future reference.

But *factory* image is still not working using tftboot and also using mtd command. I am not sure why it is not working but it should work as I used to flash *factory* image with other boards and it works.

comment:10 in reply to: ↑ 9 Changed 4 years ago by juhosg

Replying to drkhosla@…:

Thank you very much juhosg.

Now it works for me with *sysupgrade*. It should be included in wiki for future reference.

But *factory* image is still not working using tftboot and also using mtd command. I am not sure why it is not working but it should work as I used to flash *factory* image with other boards and it works.

That will not work on the Hornet-UB, because the *factory* image is a gzip compressed tarball.

comment:11 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.